AstrologyAPI

Use access token to call astrology api.

Learn More

Current Char Dasha

POSThttps://json.astrologyapi.com/v1/current_chardasha
Copy

The API current_chardasha provides information about the current planetary periods (dasha) in the Vedic astrology system, including the major period (maha dasha), sub-period (antar dasha), and sub-sub-period (pratyantar dasha). The response includes the start and end dates of each period, as well as the zodiac sign associated with it.

POST/current_chardasha
Copy
1curl --location 'https://json.astrologyapi.com/v1/current_chardasha' \
2  --header 'Content-Type: application/json' \
3  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
4  --data '{
5    "day": 10,
6    "month": 5,
7    "year": 1990,
8    "hour": 19,
9    "min": 55,
10    "lat": 19.2056,
11    "lon": 25.2056,
12    "tzone": 5.5
13}'
14
200Response
Copy
1{
2  "dasha_date": "16-8-2015",
3  "major_dasha": {
4    "sign_id": 10,
5    "sign_name": "Aquarius",
6    "duration": "5 Years",
7    "start_date": "16-8-2015",
8    "end_date": "16-8-2020"
9  },
10  "sub_dasha": {
11    "sign_id": 11,
12    "sign_name": "Pisces",
13    "duration": "5 Months",
14    "start_date": "16-8-2015",
15    "end_date": "16-1-2016"
16  },
17  "sub_sub_dasha": [
18    {
19      "sign_id": 0,
20      "sign_name": "Aries",
21      "start_date": "16-8-2015",
22      "end_date": "28-8-2015"
23    },
24    {
25      "sign_id": 1,
26      "sign_name": "Taurus",
27      "start_date": "28-8-2015",
28      "end_date": "10-9-2015"
29    },
30    {
31      "sign_id": 2,
32      "sign_name": "Gemini",
33      "start_date": "10-9-2015",
34      "end_date": "23-9-2015"
35    },
36    {
37      "sign_id": 3,
38      "sign_name": "Cancer",
39      "start_date": "23-9-2015",
40      "end_date": "6-10-2015"
41    },
42    {
43      "sign_id": 4,
44      "sign_name": "Leo",
45      "start_date": "6-10-2015",
46      "end_date": "18-10-2015"
47    },
48    {
49      "sign_id": 5,
50      "sign_name": "Virgo",
51      "start_date": "18-10-2015",
52      "end_date": "31-10-2015"
53    },
54    {
55      "sign_id": 6,
56      "sign_name": "Libra",
57      "start_date": "31-10-2015",
58      "end_date": "13-11-2015"
59    },
60    {
61      "sign_id": 7,
62      "sign_name": "Scorpio",
63      "start_date": "13-11-2015",
64      "end_date": "26-11-2015"
65    },
66    {
67      "sign_id": 8,
68      "sign_name": "Sagittarius",
69      "start_date": "26-11-2015",
70      "end_date": "8-12-2015"
71    },
72    {
73      "sign_id": 9,
74      "sign_name": "Capricorn",
75      "start_date": "8-12-2015",
76      "end_date": "21-12-2015"
77    },
78    {
79      "sign_id": 10,
80      "sign_name": "Aquarius",
81      "start_date": "21-12-2015",
82      "end_date": "3-1-2016"
83    },
84    {
85      "sign_id": 11,
86      "sign_name": "Pisces",
87      "start_date": "3-1-2016",
88      "end_date": "16-1-2016"
89    }
90  ]
91}

Request Headers

x-astrologyapi-key

string

required

API Access Token to authenticate requests. Send your access token in this custom header.

Accept-Language

string

Preferred language for the response content

Properties

English - enHindi - hiMarathi - maBengali - bnTamil - taTelugu - teMalayalam - mlKannada - kn

Request Body (JSON)

day

int

required

Date of birth, eg: 10

month

int

required

Month of birth, eg: 5

year

int

required

Year of birth, eg: 1990

hour

int

required

Hour of birth, eg: 19

min

int

required

Minute of birth, eg: 55

lat

float

required

Latitude, eg: 19.2056

lon

float

required

Longitude, eg: 25.2056

tzone

float

required

Timezone, eg: 5.5

Errors

400
Bad Request

Something is wrong with your request format or parameters.

401
Unauthorized

Your API key is missing or invalid.

403
Forbidden

You don't have permission to access this specific resource.

404
Not Found

The API endpoint you're trying to reach doesn't exist.

500
Internal Server Error

Our server is having a temporary glitch.